GNU bug report logs - #57957
29.0.50; Native compilation hangs on cyclic lists

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Lars Tveito <larstvei@HIDDEN>; Keywords: confirmed; dated Tue, 20 Sep 2022 14:28:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 57957 <at> debbugs.gnu.org:


Received: (at 57957) by debbugs.gnu.org; 22 Sep 2022 11:15:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 22 07:15:54 2022
Received: from localhost ([127.0.0.1]:36507 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1obKBN-00079q-UY
	for submit <at> debbugs.gnu.org; Thu, 22 Sep 2022 07:15:54 -0400
Received: from quimby.gnus.org ([95.216.78.240]:53514)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1obKBK-00079Z-Vd
 for 57957 <at> debbugs.gnu.org; Thu, 22 Sep 2022 07:15:52 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=/iWBr+U8JWhciHxyzuHlV1POdXlhVUJJi77icQxFbSM=; b=ptbXZRatkeHnQuwoUSjCIkeef4
 jB5Jwr5YOI7ua68mbS9T6RTz8PLy2arvNdHZWBuRu31svEMJIaOu3LmayFBoRMkH/eGR3jvPao9+N
 PMgRkKlaBbI6nsicXGfDVqumprxmp8zpi0ImcQQv2EagAf1vj2JFi92ahNJ0Kb8y7lD4=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1obKBA-00083W-3F; Thu, 22 Sep 2022 13:15:43 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
Subject: Re: bug#57957: 29.0.50; Native compilation hangs on cyclic lists
In-Reply-To: <xjffsgkbko0.fsf@HIDDEN> (Andrea Corallo's message of "Wed,
 21 Sep 2022 19:18:55 +0000")
References: <53a58362fbe449bc81eaf45ab66dd28d@HIDDEN>
 <87pmfqawm4.fsf@HIDDEN> <xjffsgkbko0.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAFVBMVEVJP0lmb5iopK/X
 1NgbGCD49/f///8745hEAAAAAWJLR0QGYWa4fQAAAAd0SU1FB+YJFgsLNc25ygQAAAGHSURBVDjL
 ddTBjoMgEADQQdk7UHu3Q3tXSe9jwgdsa/z/X9kBwRVsJ2kaec4AExAAhNZaQQyBk3PO8s9tA9KT
 9AHM+7m+HysH8LPkIdoyzIvBbiBJUgYIMKWMFDGP4VFDRDDjYx3PQBtcv2QMxwxe7Z5RAGTg0f5Y
 KicmWCLwDil7ApeAYxvXOFydSqVoBwLEoXn2/5NnIHsZftYzeK/b389gmy+A7W+79s8TkGpfn0G2
 SwUydbcJcJwjdYTExGDdDjK3UtjLekeHZQb/QWPXu11cCdz1AFxqKSdnUA1yhiuXSyC1aqYF7FIu
 dzad7mc+rDUIknrkRLTVBoX0xvERRlMBn1MzhRdA2wL4yBuU8WDA9QjE05ue4qUQzyOQMPoF29m7
 7kBcnGNM/Zz3lij+401gbnSGOQA/XrCLIDNotb1p7JA7vfUqgIxL0IdS6R6EsUblu3K4N8Ii2unm
 266GmzLWvb27V+Cpmw3y3uPXwJcR1hGjBi6It/htOcHML0M1R1HzyzD8AZ6b4XXBm5FcAAAAJXRF
 WHRkYXRlOmNyZWF0ZQAyMDIyLTA5LTIyVDExOjExOjUzKzAwOjAwuM4f/wAAACV0RVh0ZGF0ZTpt
 b2RpZnkAMjAyMi0wOS0yMlQxMToxMTo1MyswMDowMMmTp0MAAAAASUVORK5CYII=
X-Now-Playing: Carole King's _Tapestry_: "It's Too Late"
Date: Thu, 22 Sep 2022 13:15:39 +0200
Message-ID: <878rmb7j8k.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Andrea Corallo <akrl@HIDDEN> writes: > I see nor
 cl-nsubst-if
 nor cl-subst-if are robust against cyclic lists. > Is this a bug in cl-lib
 or is it expected? In case I'll add an ad-hoc > substitute for this use (if
 there's no other alterna [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57957
Cc: 57957 <at> debbugs.gnu.org, Lars Tveito <larstvei@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Andrea Corallo <akrl@HIDDEN> writes:

> I see nor cl-nsubst-if nor cl-subst-if are robust against cyclic lists.
> Is this a bug in cl-lib or is it expected?  In case I'll add an ad-hoc
> substitute for this use (if there's no other alternative).

I'm not sure -- Stefan probably knows; added to the CCs.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57957; Package emacs. Full text available.

Message received at 57957 <at> debbugs.gnu.org:


Received: (at 57957) by debbugs.gnu.org; 21 Sep 2022 19:19:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 21 15:19:01 2022
Received: from localhost ([127.0.0.1]:35262 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ob5FM-0002Vc-S7
	for submit <at> debbugs.gnu.org; Wed, 21 Sep 2022 15:19:01 -0400
Received: from mx.sdf.org ([205.166.94.24]:65348)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1ob5FK-0002VT-S9
 for 57957 <at> debbugs.gnu.org; Wed, 21 Sep 2022 15:18:59 -0400
Received: from ma.sdf.org (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 28LJItgk027932
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Wed, 21 Sep 2022 19:18:56 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#57957: 29.0.50; Native compilation hangs on cyclic lists
In-Reply-To: <87pmfqawm4.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 20 Sep 2022 17:33:55 +0200")
References: <53a58362fbe449bc81eaf45ab66dd28d@HIDDEN>
 <87pmfqawm4.fsf@HIDDEN>
Date: Wed, 21 Sep 2022 19:18:55 +0000
Message-ID: <xjffsgkbko0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57957
Cc: 57957 <at> debbugs.gnu.org, Lars Tveito <larstvei@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Lars Tveito <larstvei@HIDDEN> writes:
>
>> Evaluating the two following forms results in Emacs hanging:
>>
>> (defun test-cycle ()
>>   '#1=(a . #1#))
>>
>> (native-compile 'test-cycle)
>
> It seems to be inflooping in comp-ssa-rename.  A debug-on-quit backtrace
> included below.
>
> I've added Andrea to the CCs; perhaps he has some comments.

I see nor cl-nsubst-if nor cl-subst-if are robust against cyclic lists.
Is this a bug in cl-lib or is it expected?  In case I'll add an ad-hoc
substitute for this use (if there's no other alternative).

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57957; Package emacs. Full text available.
Added tag(s) confirmed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 57957 <at> debbugs.gnu.org:


Received: (at 57957) by debbugs.gnu.org; 20 Sep 2022 15:34:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 20 11:34:08 2022
Received: from localhost ([127.0.0.1]:59279 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oafGB-000402-NO
	for submit <at> debbugs.gnu.org; Tue, 20 Sep 2022 11:34:07 -0400
Received: from quimby.gnus.org ([95.216.78.240]:48114)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oafG8-0003zP-Vu
 for 57957 <at> debbugs.gnu.org; Tue, 20 Sep 2022 11:34:05 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=bvWyI/ihlK6knlsZubx8G+fB+5NgjPb4lVPpcM5BbgI=; b=gjIcjmW6rb0Z60CJNV1xjJ3WIk
 36UxTdONhVlFFlNMlKZ8lWqmsyaN16qNAyBLaQBG1hIZ3/1v4ZWMDqiK/jW0bldCbwjld79TlOUKf
 2oHayNnM+YnPOv+dAXc5UhikEBwp8ltbQCLZjXRKLzwO7JXYLVVvTyX9/geHOYsV5/ls=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oafFz-0003Kg-Ms; Tue, 20 Sep 2022 17:33:57 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Lars Tveito <larstvei@HIDDEN>
Subject: Re: bug#57957: 29.0.50; Native compilation hangs on cyclic lists
In-Reply-To: <53a58362fbe449bc81eaf45ab66dd28d@HIDDEN> (Lars Tveito's
 message of "Tue, 20 Sep 2022 07:55:48 +0000")
References: <53a58362fbe449bc81eaf45ab66dd28d@HIDDEN>
X-Now-Playing: De Ambassade's _Cold Wave Volume 2_: "Niet Van Mij"
Date: Tue, 20 Sep 2022 17:33:55 +0200
Message-ID: <87pmfqawm4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Lars Tveito <larstvei@HIDDEN> writes: > Evaluating the
 two following forms results in Emacs hanging: > > (defun test-cycle () >
 '#1=(a . #1#)) > > (native-compile 'test-cycle) It seems to be inflooping
 in comp-ssa-rename. A debug-on-quit backtrace included below. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57957
Cc: 57957 <at> debbugs.gnu.org, Andrea Corallo <akrl@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Tveito <larstvei@HIDDEN> writes:

> Evaluating the two following forms results in Emacs hanging:
>
> (defun test-cycle ()
>   '#1=(a . #1#))
>
> (native-compile 'test-cycle)

It seems to be inflooping in comp-ssa-rename.  A debug-on-quit backtrace
included below.

I've added Andrea to the CCs; perhaps he has some comments.

Debugger entered--Lisp error: (quit)
  #f(compiled-function (x) #<bytecode -0xadd90b5d8edcf84>)((a . #1))
  cl--nsublis-rec((a . #1))
  cl--nsublis-rec(((a . #2)))
  cl--nsublis-rec((((a . #3))))
  cl-nsublis(((nil . #s(comp-mvar :typeset (t) :valset nil :range nil :
  cl-nsubst-if(#s(comp-mvar :typeset (t) :valset nil :range nil :neg ni
  comp-ssa-rename-insn((setimm #s(comp-mvar :typeset (t) :valset nil :r
  #f(compiled-function (bb in-frame) #<bytecode -0xdf66bba587123ea>)(#s
  #f(compiled-function (bb in-frame) #<bytecode -0xdf66bba587123ea>)(#s
  comp-ssa-rename()
  #<subr F616e6f6e796d6f75732d6c616d626461_anonymous_lambda_112>("F7465
  comp-ssa()
  comp-fwprop(nil)
  funcall(comp-fwprop nil)
  (setq data (funcall pass data))
  (if (memq pass comp-disabled-passes) (progn) (comp-log (format "(%s) 
  (while (progn (setq t0 (current-time)) (consp --cl-var--)) (setq pass
  (let* ((report nil) (t0 nil) (--cl-var-- comp-passes) (pass nil) (--c
...




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57957; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Sep 2022 14:27:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 20 10:27:18 2022
Received: from localhost ([127.0.0.1]:59159 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oaeDV-0001x9-Th
	for submit <at> debbugs.gnu.org; Tue, 20 Sep 2022 10:27:18 -0400
Received: from lists.gnu.org ([209.51.188.17]:39148)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larstvei@HIDDEN>) id 1oaY6r-0000p7-AQ
 for submit <at> debbugs.gnu.org; Tue, 20 Sep 2022 03:56:02 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:55060)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <larstvei@HIDDEN>)
 id 1oaY6q-0002Im-Kj
 for bug-gnu-emacs@HIDDEN; Tue, 20 Sep 2022 03:56:01 -0400
Received: from mail-out01.uio.no ([2001:700:100:10::50]:59775)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <larstvei@HIDDEN>)
 id 1oaY6o-0003Mj-4B
 for bug-gnu-emacs@HIDDEN; Tue, 20 Sep 2022 03:56:00 -0400
Received: from mail-mx11.uio.no ([129.240.10.83])
 by mail-out01.uio.no with esmtps (TLS1.2) tls
 TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384 (Exim 4.95)
 (envelope-from <larstvei@HIDDEN>) id 1oaY6f-00HUBL-FB
 for bug-gnu-emacs@HIDDEN; Tue, 20 Sep 2022 09:55:49 +0200
Received: from mail-ex34.exprod.uio.no ([129.240.52.57])
 by mail-mx11.uio.no with esmtps (TLS1.2:ECDHE-RSA-AES256-GCM-SHA384:256)
 (Exim 4.95) (envelope-from <larstvei@HIDDEN>) id 1oaY6e-0005B5-SZ
 for bug-gnu-emacs@HIDDEN; Tue, 20 Sep 2022 09:55:49 +0200
Received: from mail-ex31.exprod.uio.no (2001:700:100:52::51) by
 mail-ex34.exprod.uio.no (2001:700:100:52::57) with Microsoft SMTP Server
 (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.2.1118.12; Tue, 20 Sep 2022 09:55:48 +0200
Received: from mail-ex31.exprod.uio.no ([fe80::3dcb:90ad:2acb:f338]) by
 mail-ex31.exprod.uio.no ([fe80::3dcb:90ad:2acb:f338%7]) with mapi id
 15.02.1118.012; Tue, 20 Sep 2022 09:55:48 +0200
From: Lars Tveito <larstvei@HIDDEN>
To: "bug-gnu-emacs@HIDDEN" <bug-gnu-emacs@HIDDEN>
Subject: 29.0.50; Native compilation hangs on cyclic lists
Thread-Topic: 29.0.50; Native compilation hangs on cyclic lists
Thread-Index: AQHYzMV6U3mCgU+RZU6MS25NemWoog==
Date: Tue, 20 Sep 2022 07:55:48 +0000
Message-ID: <53a58362fbe449bc81eaf45ab66dd28d@HIDDEN>
Accept-Language: en-GB, en-US
Content-Language: en-GB
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-originating-ip: [129.240.113.222]
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-UiO-SPF-Received: Received-SPF: neutral (mail-mx11.uio.no: 129.240.52.57 is
 neither permitted nor denied by domain of ifi.uio.no) client-ip=129.240.52.57;
 envelope-from=larstvei@HIDDEN; helo=mail-ex34.exprod.uio.no; 
X-UiO-Spam-info: not spam, SpamAssassin (score=-5.0, required=5.0,
 autolearn=disabled, UIO_MAIL_IS_INTERNAL=-5)
X-UiO-Scanned: 81115BB5E4F552F939818ED26920FDA04DFE66B2
X-UiOonly: 464F38DCCD0387DF932DF170533A5C1DF972301A
Received-SPF: pass client-ip=2001:700:100:10::50;
 envelope-from=larstvei@HIDDEN; helo=mail-out01.uio.no
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 20 Sep 2022 10:27:16 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

Evaluating the two following forms results in Emacs hanging:

(defun test-cycle ()
  '#1=3D(a . #1#))

(native-compile 'test-cycle)

The bug has been reproduced on a system running Debian as well.

- Lars
       =20

In GNU Emacs 29.0.50 (build 1, aarch64-apple-darwin21.6.0, NS
appkit-2113.60 Version 12.6 (Build 21G115))
Windowing system distributor 'Apple', version 10.3.2113
System Description:  macOS 12.6

Configured using:
'configure
--prefix=3D/nix/store/wf6wjsvvs3q7k0vf3xlfzi3ik8v3601n-emacs-29.0.50
--disable-build-details --with-modules --with-ns
--disable-ns-self-contained --with-native-compilation'

Configured features:
ACL GLIB GMP GNUTLS JPEG JSON LIBXML2 MODULES NATIVE_COMP NOTIFY KQUEUE
NS PDUMPER PNG RSVG SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS ZLIB

Important settings:
  value of $EMACSLOADPATH: /nix/store/87hrwgmnic6hhjl6p7ch30ik90dpw324-emac=
s-packages-deps/share/emacs/site-lisp:
  value of $EMACSNATIVELOADPATH: /nix/store/87hrwgmnic6hhjl6p7ch30ik90dpw32=
4-emacs-packages-deps/share/emacs/native-lisp::
  value of $LC_CTYPE: UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
/nix/store/87hrwgmnic6hhjl6p7ch30ik90dpw324-emacs-packages-deps/share/emacs=
/site-lisp/elpa/let-alist-1.0.6/let-alist hides /nix/store/wf6wjsvvs3q7k0vf=
3xlfzi3ik8v3601n-emacs-29.0.50/share/emacs/29.0.50/lisp/emacs-lisp/let-alis=
t
/nix/store/87hrwgmnic6hhjl6p7ch30ik90dpw324-emacs-packages-deps/share/emacs=
/site-lisp/elpa/nadvice-0.3/nadvice hides /nix/store/wf6wjsvvs3q7k0vf3xlfzi=
3ik8v3601n-emacs-29.0.50/share/emacs/29.0.50/lisp/emacs-lisp/nadvice

Features:
(shadow sort mail-extr emacsbug message mailcap yank-media puny dired
dired-loaddefs rfc822 mml mml-sec password-cache epa derived epg rfc6068
epg-config gnus-util text-property-search time-date mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader cl-loaddefs
comp comp-cstr warnings icons subr-x rx cl-seq cl-macs gv cl-extra
help-mode bytecomp byte-compile cconv cl-lib sendmail rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mail-utils rmc iso-transl tooltip eldoc
paren electric uniquify ediff-hook vc-hooks lisp-float-type elisp-mode
mwheel term/ns-win ns-win ucs-normalize mule-util term/common-win
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch easymenu timer select scroll-bar mouse jit-lock
font-lock syntax font-core term/tty-colors frame minibuffer nadvice seq
simple cl-generic indonesian philippine cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite emoji-zwj charscript charprop case-table
epa-hook jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button
loaddefs faces cus-face macroexp files window text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads kqueue cocoa ns multi-tty
make-network-process native-compile emacs)

Memory information:
((conses 16 78425 6959)
(symbols 48 7029 0)
(strings 32 19124 2018)
(string-bytes 1 599871)
(vectors 16 16700)
(vector-slots 8 325741 9902)
(floats 8 27 31)
(intervals 56 320 0)
(buffers 1000 12))=




Acknowledgement sent to Lars Tveito <larstvei@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#57957; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 22 Sep 2022 11:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.